make xconfig needs QTDIR; though qt is in /usr

From: Chris Lingard
Date: Wed Jun 16 2004 - 08:47:28 EST


All versions of Linux-2.6

I install qt and all other stuff in /usr; and do not set
QTDIR, as it is not needed.

Can /usr be added to the scripts/kconfig/Makefile?
I attach a patch. The last two variables of:

@set -e; for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
if [ -f $$d/include/qconfig.h ]; then DIR=$$d; break; fi; \

seem pointless as it is looking for a header file.

The patch just adds /usr to the end; but I suggest that the
line could be

@set -e; for d in $$QTDIR /usr; do \

Chris Lingard
diff -Naur linux-2.6.7.old/scripts/kconfig/Makefile linux-2.6.7/scripts/kconfig/Makefile
--- linux-2.6.7.old/scripts/kconfig/Makefile 2004-04-05 18:19:04.000000000 +0100
+++ linux-2.6.7/scripts/kconfig/Makefile 2004-06-16 13:33:38.988229264 +0100
@@ -112,7 +112,7 @@

# QT needs some extra effort...
$(obj)/.tmp_qtcheck:
- @set -e; for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
+ @set -e; for d in $$QTDIR /usr/share/qt* /usr/lib/qt* /usr; do \
if [ -f $$d/include/qconfig.h ]; then DIR=$$d; break; fi; \
done; \
if [ -z "$$DIR" ]; then \